<?php
	$this->extend('/Scaffolds/admin_form');

	echo $this->element('Forms/fields', array('fields' => $fields));

	$this->append('additionalFormTabs');

	echo $this->Html->script(
		array(
			'EvShop.variantImage',
		),
		array('inline'=>false)
	);

	// Handle image slots.
	if (isset($variantImageSlots) && is_array($variantImageSlots)):

	    // We have multiple image sections on a page.

	    foreach ($variantImageSlots as $variantImageSection => $currentVariantImageSlots):
	        echo $this->element(
	            'form_tab',
	            array(
	                'title' => __('Images - %s', $this->InflectorExt->camelToHumanize($variantImageSection)),
	                'tabContent' => $this->element(
	                    'EvShop.VariantImages/image_fields',
	                    array(
	                        'imageSection' => $variantImageSection,
	                        'imageSlots' => $currentVariantImageSlots,
	                        'options' => $chosenOptions
	                    )
	                ),
	                'divOptions' => array(
	                    'class' => 'img-tab'
	                )
	            )
	        );

	    endforeach;

	elseif (isset($variantImageSlots) && $variantImageSlots !== 0):

	    echo $this->element(
	        'form_tab',
	        array(
	            'title' =>  __('Images'),
	            'tabContent' => $this->element(
	                'EvShop.VariantImages/image_fields',
	                array(
	                    'imageSection' => 'main',
	                    'options' => $chosenOptions
	                )
	            ),
	            'divOptions' => array(
	                'class' => 'img-tab'
	            )
	        )
	    );
	endif;

	$this->end();


	if ($actionLabel === 'Edit'): ?>
		<div class="row">
			<div class="form-group">
				<div class="input checkbox col-xs-12 col-md-9 col-md-offset-3">
					<input type="hidden" name="pricing" id="_pricing" value="0" />
					<input type="checkbox" name="pricing" null="1" length="1" value="1" id="pricing" /><!--
					--><label for="pricing"><?php echo __('Modify pricing after saving'); ?></label>
				</div>
			</div>
		</div>
	<?php endif;
?>
